rte_eth_fdir_action(3)

NAME
rte_eth_fdir_action

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint16_t rx_queue
enum rte_eth_fdir_behavior behavior
enum rte_eth_fdir_status report_status
uint8_t flex_off

Detailed Description

A structure used to define an action when match FDIR packet filter.

Definition at line 327 of file rte_eth_ctrl.h.

Field Documentation

  uint16_t rx_queue
Queue assigned to if FDIR match.

Definition at line 328 of file rte_eth_ctrl.h.

  enum rte_eth_fdir_behavior behavior
Behavior will be taken

Definition at line 329 of file rte_eth_ctrl.h.

  enum rte_eth_fdir_status report_status
Status report option

Definition at line 330 of file rte_eth_ctrl.h.

  uint8_t flex_off
If report_status is RTE_ETH_FDIR_REPORT_ID_FLEX_4 or RTE_ETH_FDIR_REPORT_FLEX_8, flex_off specifies where the reported flex bytes start from in flexible payload.

Definition at line 331 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.